org.jboss.netty.handler.codec.rtsp

## Class RtspRequestDecoder

- java.lang.Object
- - org.jboss.netty.channel.SimpleChannelUpstreamHandler
  - - org.jboss.netty.handler.codec.frame.FrameDecoder
    - - org.jboss.netty.handler.codec.replay.ReplayingDecoder<HttpMessageDecoder.State>
      - - org.jboss.netty.handler.codec.http.HttpMessageDecoder
        - - org.jboss.netty.handler.codec.rtsp.RtspMessageDecoder
          - - org.jboss.netty.handler.codec.rtsp.RtspRequestDecoder

All Implemented Interfaces:
  ChannelHandler, ChannelUpstreamHandler, LifeCycleAwareChannelHandler

    public class RtspRequestDecoder
    extends RtspMessageDecoder

Decodes `ChannelBuffer`s into RTSP requests represented in `HttpRequest`s.

### Parameters that prevents excessive memory consumption

Name | Meaning
--- | ---
`maxInitialLineLength` | The maximum length of the initial line (e.g. `"SETUP / RTSP/1.0"`) If the length of the initial line exceeds this value, a `TooLongFrameException` will be raised.
`maxHeaderSize` | The maximum length of all headers. If the sum of the length of each header exceeds this value, a `TooLongFrameException` will be raised.
`maxContentLength` | The maximum length of the content. If the content length exceeds this value, a `TooLongFrameException` will be raised.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.netty.handler.codec.http.HttpMessageDecoder

`HttpMessageDecoder.State`

### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

`ChannelHandler.Sharable`

### Field Summary

### Fields inherited from class org.jboss.netty.handler.codec.frame.FrameDecoder

`cumulation, DEFAULT_MAX_COMPOSITEBUFFER_COMPONENTS`

### Constructor Summary

Constructors
Constructor and Description
`RtspRequestDecoder()` Creates a new instance with the default `maxInitialLineLength (4096`}, `maxHeaderSize (8192)`, and `maxContentLength (8192)`.
`RtspRequestDecoder(int maxInitialLineLength, int maxHeaderSize, int maxContentLength)` Creates a new instance with the specified parameters.

### Method Summary

Methods
`protected HttpMessage` `createMessage(String[] initialLine)`
`protected boolean` `isDecodingRequest()`

### Methods inherited from class org.jboss.netty.handler.codec.rtsp.RtspMessageDecoder

`decode, isContentAlwaysEmpty`

### Methods inherited from class org.jboss.netty.handler.codec.replay.ReplayingDecoder

`checkpoint, checkpoint, cleanup, decode, decodeLast, decodeLast, getState, internalBuffer, messageReceived, setState`

### Methods inherited from class org.jboss.netty.handler.codec.frame.FrameDecoder

`actualReadableBytes, afterAdd, afterRemove, appendToCumulation, beforeAdd, beforeRemove, channelClosed, channelDisconnected, exceptionCaught, getMaxCumulationBufferCapacity, getMaxCumulationBufferComponents, isUnfold, newCumulationBuffer, replace, setMaxCumulationBufferCapacity, setMaxCumulationBufferComponents, setUnfold, unfoldAndFireMessageReceived, updateCumulation`

### Methods inherited from class org.jboss.netty.channel.SimpleChannelUpstreamHandler

`channelBound, channelConnected, channelInterestChanged, channelOpen, channelUnbound, childChannelClosed, childChannelOpen, handleUpstream, writeComplete`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RtspRequestDecoder

    public RtspRequestDecoder()

Creates a new instance with the default `maxInitialLineLength (4096`}, `maxHeaderSize (8192)`, and `maxContentLength (8192)`.

#### RtspRequestDecoder

    public RtspRequestDecoder(int maxInitialLineLength,
                      int maxHeaderSize,
                      int maxContentLength)

Creates a new instance with the specified parameters.

### Method Detail

#### createMessage

    protected HttpMessage createMessage(String[] initialLine)
                                 throws Exception

Specified by:
  `createMessage` in class `HttpMessageDecoder`
Throws:
  `Exception`

#### isDecodingRequest

    protected boolean isDecodingRequest()

Specified by:
  `isDecodingRequest` in class `HttpMessageDecoder`